import service from '@/utils/request'

export const getTab = (data) => {
  return service({
    url: '/mes_server/packaging_process_output/getTab',
    method: 'get',
    data
  })
}

export const getList = (params) => {
  return service({
    url: '/mes_server/packaging_process_output/getList',
    method: 'get',
    params
  })
}

export const getInspectCount = (data) => {
  return service({
    url: '/mes_server/inspect/getInspectCount',
    method: 'get',
    data
  })
}

export const getDateList = (params) => {
  return service({
    url: '/mes_server/inspect/getDateList',
    method: 'get',
    params
  })
}


export const getMachineCount = (data) => {
  return service({
    url:'/mes_server/inspect/getMachineCount',
    method: 'get',
    data
  })
}
export const getDateMachine = (params) => {
  return service({
    url:'/mes_server/inspect/getDateMachine',
    method: 'get',
    params
  })
}



export const getproductionCount = (data) => {
  return service({
    url:'/mes_server/machine_production_report/getTab',
    method: 'get',
    data
  })
}

export const getproductionList = (params) => {
  return service({
    url:'/mes_server/machine_production_report/getList',
    method: 'get',
    params
  })
}


export const getproductionaddCount = (data) => {
  return service({
    url:'/mes_server/machine_production_report_add/getTab',
    method: 'get',
    data
  })
}

export const getproductionaddList = (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getList',
    method: 'get',
    params
  })
}

export const locate = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/locate',
    method: 'get',
    params
  })
}

export const getInfo = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/getInfo',
    method: 'get',
    params
  })
}






